<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");

$assetclassgroup_id = sanitize($_GET['assetclassgroup_id']);

include("header.php");

$sql = "SELECT assetclassgroup_id AS id,
            assetclassgroup_name AS name,
            assetclassgroup_color AS color,
            assetclassgroup_description AS description
        FROM assetclassgroup
        WHERE assetclassgroup_id=?";
$sth = $dbh->prepare($sql);
$sth->execute([$assetclassgroup_id]);
$smarty->assign("assetclassgroup", $sth->fetch(PDO::FETCH_OBJ));

$sql = "SELECT assetclass_id, assetclass_name
        FROM assetclass
        WHERE assetclassgroup_id=?
        ORDER BY assetclass_name";
$sth = $dbh->prepare($sql);
$sth->execute([$assetclassgroup_id]);
$smarty->assign("assetclasses", $sth->fetchAll(PDO::FETCH_ASSOC));

$smarty->display("assetclassgroupview.tpl");

include("footer.php");
?>
