<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/
	
include("includes.php");
	
$node_id = sanitize($_GET['node_id']);

include("header.php");
	
// node_ext
$sql = "SELECT node_ip AS node_ip_ext
        FROM node
        WHERE node_id=?";
$sth = $dbh->prepare($sql);
$sth->execute([$node_id]);

$node = $sth->fetch(PDO::FETCH_OBJ);

$smarty->assign("node_id_ext", $node_id);
$smarty->assign("node_ip_ext", $node->node_ip_ext);

// node_int
$sql = "SELECT
		a.asset_name,
		n.node_id AS node_id_int,
		n.node_ip AS node_ip_int
	FROM
		asset AS a LEFT JOIN node AS n USING (asset_id)
	WHERE
		n.node_id NOT IN (
			SELECT
				nat_int
			FROM
				nat
			WHERE
				nat_ext=?
		)
		AND n.node_id!=?
	ORDER BY
		INET_ATON(n.node_ip)";
$sth = $dbh->prepare($sql);
$sth->execute([$node_id, $node_id]);

$nodes = $sth->fetchAll();

foreach ($nodes as $rec) {
     $node_options[$rec['node_id_int']] = $rec['node_ip_int'] . '/' . $rec['asset_name'];
}
$smarty->assign("node_options", $node_options);

$nat_type_options[1] = $lang['lang_nat_type_1'];
$nat_type_options[2] = $lang['lang_nat_type_2'];
$nat_type_options[3] = $lang['lang_nat_type_3'];
$smarty->assign("nat_type_options", $nat_type_options);

$smarty->display("natadd.tpl");
	
include("footer.php");
?>
